import _extends from "@babel/runtime/helpers/esm/extends";
import { forwardRef } from 'react';
import PropTypes from 'prop-types';
import useVideoPlayer from './hooks/useVideoPlayer.js';
import { BASE_CLASS } from './settings/index.js';
import { jsx as _jsx } from "react/jsx-runtime";
var AtomVideoPlayer = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var _ref$controls = _ref.controls,
    controls = _ref$controls === void 0 ? true : _ref$controls,
    src = _ref.src;
  var _useVideoPlayer = useVideoPlayer({
      controls: controls,
      src: src
    }),
    Component = _useVideoPlayer[0],
    props = _useVideoPlayer[1];
  return /*#__PURE__*/_jsx("div", {
    ref: forwardedRef,
    className: BASE_CLASS,
    children: /*#__PURE__*/_jsx(Component, _extends({}, props))
  });
});
AtomVideoPlayer.displayName = 'AtomVideoPlayer';
export default AtomVideoPlayer;